## Name

dropuser — remove a PostgreSQL user account

## Synopsis

`dropuser` [`option`...] [`username`]

## Description

dropuser removes an existing PostgreSQL user and the databases which that user owned. Only superusers (users with `usesuper` set in the `pg_shadow` table) can destroy PostgreSQL users.

dropuser is a wrapper around the SQL command DROP USER. There is no effective difference between dropping users via this utility and via other methods for accessing the server.

## Options

dropuser accepts the following command-line arguments:

`username`

  Specifies the name of the PostgreSQL user to be removed. You will be prompted for a name if none is specified on the command line.

`-e`
`--echo`

  Echo the commands that dropuser generates and sends to the server.

`-i`
`--interactive`

  Prompt for confirmation before actually removing the user.

`-q`
`--quiet`

  Do not display a response.

dropuser also accepts the following command-line arguments for connection parameters:

`-h `host``
`--host `host``

  Specifies the host name of the machine on which the server is running. If the value begins with a slash, it is used as the directory for the Unix domain socket.

`-p `port``
`--port `port``

  Specifies the TCP port or local Unix domain socket file extension on which the server is listening for connections.

`-U `username``
`--username `username``

  User name to connect as (not the user name to drop)

`-W`
`--password`

  Force password prompt (to connect to the server, not for the password of the user to be dropped).

## Environment

`PGHOST`
`PGPORT`
`PGUSER`

  Default connection parameters

## Diagnostics

In case of difficulty, see DROP USER and psql for discussions of potential problems and error messages. The database server must be running at the targeted host. Also, any default connection settings and environment variables used by the libpq front-end library will apply.

## Examples

To remove user `joe` from the default database server:

    $ dropuser joe
    DROP USER

To remove user `joe` using the server on host `eden`, port 5000, with verification and a peek at the underlying command:

    $ dropuser -p 5000 -h eden -i -e joe
    User "joe" and any owned databases will be permanently deleted.
    Are you sure? (y/n) y
    DROP USER "joe"
    DROP USER

## See Also

createuser, DROP USER